{
    attributes = (
        {
            columnName = "FANN_KEY"; 
            externalType = NUMBER; 
            name = fannKey; 
            precision = 4; 
            valueClassName = NSNumber; 
            valueType = i; 
        }, 
        {
            columnName = "MEC_KEY"; 
            externalType = NUMBER; 
            name = mecKey; 
            valueClassName = NSNumber; 
            valueType = i; 
        }, 
        {
            columnName = "MOEC_SEMESTRE"; 
            externalType = NUMBER; 
            name = moecSemestre; 
            precision = 2; 
            valueClassName = NSNumber; 
            valueType = i; 
        }
    ); 
    attributesUsedForLocking = (fannKey, mecKey, moecSemestre); 
    className = "org.cocktail.scolaritefwk.serveur.metier.eos.EOScolMaquetteOrganisationEc"; 
    classProperties = ("toFwkScolarite_ScolFormationAnnee", "toFwkScolarite_ScolMaquetteEc"); 
    externalName = "SCOLARITE.SCOL_MAQUETTE_ORGANISATION_EC"; 
    fetchSpecificationDictionary = {}; 
    internalInfo = {
        "_javaClientClassName" = "org.cocktail.scolaritefwk.client.metier.eos.EOScolMaquetteOrganisationEc"; 
    }; 
    name = "FwkScolarite_ScolMaquetteOrganisationEc"; 
    primaryKeyAttributes = (mecKey, moecSemestre); 
    relationships = (
        {
            destination = "FwkScolarite_ScolFormationAnnee"; 
            isMandatory = Y; 
            isToMany = N; 
            joinSemantic = EOInnerJoin; 
            joins = ({destinationAttribute = fannKey; sourceAttribute = fannKey; }); 
            name = "toFwkScolarite_ScolFormationAnnee"; 
        }, 
        {
            destination = "FwkScolarite_ScolMaquetteEc"; 
            isMandatory = Y; 
            isToMany = N; 
            joinSemantic = EOInnerJoin; 
            joins = ({destinationAttribute = mecKey; sourceAttribute = mecKey; }); 
            name = "toFwkScolarite_ScolMaquetteEc"; 
        }
    ); 
}
